readRegistry {utils} | R Documentation

## Read a Windows Registy Hive

### Description

Read values of keys in the Windows Registry, and optionally whole hives.

### Usage

    readRegistry(key, hive = c("HLM", "HCR", "HCU", "HU", "HCC", "HPD"),
                 maxdepth = 1, view = c("default", "32-bit", "64-bit"))

### Arguments

`key` | character string, the path to the key in the Windows Registry.
`hive` | The ‘hive’ containing the key. The abbreviations are for `HKEY_LOCAL_MACHINE`, `HKEY_CLASSES_ROOT`. `HKEY_CURRENT_USER`, `HKEY_USERS`, `HKEY_CURRENT_CONFIG` and `HKEY_PERFORMANCE_DATA`
`maxdepth` | How far to recurse into the subkeys of the key. By default only the values of the key and the names of subkeys are returned.
`view` | On 64-bit Windows, the view of the Registry to be used: see ‘Details’.

### Details

Registry access is done using the security settings of the current R session: this means that some Registry keys may not be accessible even if they exist. This may result in `NULL` values in the object returned, and, possibly, empty element names.

On 64-bit Windows, this will by default read the 32-bit view of the Registry when run from 32-bit R, and the 64-bit view when run from 64-bit R: see https://msdn.microsoft.com/en-us/library/aa384232(VS.85).aspx.

### Value

A named list of values and subkeys (which may themselves be named lists). The default value (if any) precedes named values which precede subkeys, and both the latter sets are sorted alphabetically.

### Note

This is only available on Windows.

### Examples

    ## only in HLM if set in an admin-mode install.
    try(readRegistry("SOFTWARE\\R-core", maxdepth = 3))

    gmt <- file.path("SOFTWARE", "Microsoft", "Windows NT",
                     "CurrentVersion", "Time Zones",
                     "GMT Standard Time", fsep = "\\")
    readRegistry(gmt, "HLM")
    ## Not run:
    ## on a 64-bit R need this to find 32-bit JAGS
    readRegistry("SOFTWARE\\JAGS", maxdepth = 3, view = "32")

    ## See if there is a 64-bit user install
    readRegistry("SOFTWARE\\R-core\\R64", "HCU", maxdepth = 2)

    ## End(Not run)

[Package utils version 3.4.2 Index]